package com.zjrs.zwnw.portal.blo.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.util.CurrentUser;
import com.zjrs.zwnw.portal.blo.DhyyBLO;
import com.zjrs.zwnw.portal.dto.ChangeUseAppDTO;
import com.zjrs.zwnw.portal.entity.VRsSyYydhInfoMapper;
import com.zjrs.zwnw.portal.entity.VRsSyYydhSzMapper;
import com.zjrs.zwnw.portal.po.VRsSyYydhInfoPO;
import com.zjrs.zwnw.portal.po.VRsSyYydhSzPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;
import java.util.Map;


@Service
public class DhyyBLOimpl extends BPOImpl implements DhyyBLO {
    @Resource
    private VRsSyYydhInfoMapper vRsSyYydhInfoMapper;

    @Resource
    private VRsSyYydhSzMapper vRsSyYydhSzMapper;

    @Override
    public List<VRsSyYydhInfoPO> getuserApp() {
        CurrentUser currentUser = getCurrentUser();
        String userid = currentUser.getUserid();
        List<VRsSyYydhInfoPO> result = vRsSyYydhInfoMapper.selectList(new QueryWrapper<VRsSyYydhInfoPO>().eq("userid", userid));
        return result;
    }

    @Override
    public void changeUseApp(ChangeUseAppDTO dto) {
        List<Map<String, Object>> data = dto.getData();
        for (int i = 0; i < data.size(); i++) {
            VRsSyYydhSzPO po = new VRsSyYydhSzPO();
            CurrentUser currentUser = getCurrentUser();
            String userid = currentUser.getUserid();
            
            po.setCdid(data.get(i).get("id").toString());
            po.setUserid(userid);
            vRsSyYydhSzMapper.insert(po);
        }
    }
}
